-- Kirjoita dcs.log scriptin alkaminen
env.info("STNE: Tanker drogue start")

-- Tankkeri drogue määritykset
stne_tanker_drogue = RECOVERYTANKER:New(UNIT:FindByName("ankkuri"), "DROGUE")
stne_tanker_drogue:SetRadio(288)		-- Radiotaajuus AM
stne_tanker_drogue:SetAltitude(13000)	-- Lentokorkeus ft
stne_tanker_drogue:SetSpeed(310)		-- Nopeus TAS
stne_tanker_drogue:SetTACAN(103, "SHL")	-- Tacan Y
stne_tanker_drogue:SetTakeoffAir()		-- Spawnaa suoraan ilmaan
stne_tanker_drogue:SetRespawnInAir()	-- Varmista että spawnaa ilmaan
stne_tanker_drogue:SetRespawnOn()		-- Suorita respawn jos vanha tuhoutuu tms.

-- Poista kone funktio
function stne_tanker_drogue_remove()
	trigger.action.outText("Drogue tanker removed! Respawning new..", 10)	-- Teksti lentäjille
	stne_tanker_drogue.tanker:Destroy()										-- Poista vanha kone
end

-- RTB eventti
function stne_tanker_drogue:onafterRTB(From, Event, To, airbase)
	trigger.action.outText("Drogue tanker RTB! Removing plane in 60 sec..", 10)	-- Teksti lentäjille
	timer.scheduleFunction(stne_tanker_drogue_remove, {}, timer.getTime() + 60)	-- Ajasta poisto 60 sekunnin kuluttua
end

-- Starttaa tankkeri
stne_tanker_drogue:Start()

-- F10 valikkoon reset toiminto
stne_ResetTankersMenu = MENU_MISSION:New("Reset Tankers")
stne_ResetTankersMenu_cmd = MENU_MISSION_COMMAND:New("Reset Drogue Tanker", stne_ResetTankersMenu, stne_tanker_drogue_remove)

-- Kannattaa aina olla scriptin lopussa että näkee latautuuko se oikein, voi poistaa jos ei tarvetta
trigger.action.outText("Tanker drogue LUA loaded", 10)

-- Kirjoita dcs.log scriptin loppuminen
env.info("STNE: Tanker drogue stop")