-- Kirjoita dcs.log scriptin alkaminen
env.info("STNE: Tanker boom start")

-- Tankkeri boom määritykset
stne_tanker_boom = RECOVERYTANKER:New(UNIT:FindByName("ankkuri"), "BOOM")
stne_tanker_boom:SetRadio(288)			-- Radiotaajuus AM
stne_tanker_boom:SetAltitude(11000)		-- Lentokorkeus ft
stne_tanker_boom:SetSpeed(270)			-- Nopeus TAS
stne_tanker_boom:SetTACAN(104, "ARC")	-- Tacan Y
stne_tanker_boom:SetTakeoffAir()		-- Spawnaa suoraan ilmaan
stne_tanker_boom:SetRespawnInAir()		-- Varmista että spawnaa ilmaan
stne_tanker_boom:SetRespawnOn()			-- Suorita respawn jos vanha tuhoutuu tms.

-- Poista kone funktio
function stne_tanker_boom_remove()
	trigger.action.outText("Boom tanker removed! Respawning new..", 10)	-- Teksti lentäjille
	stne_tanker_boom.tanker:Destroy()									-- Poista vanha kone
end

-- RTB eventti
function stne_tanker_boom:onafterRTB(From, Event, To, airbase)
	trigger.action.outText("Boom tanker RTB! Removing plane in 60 sec..", 10)	-- Teksti lentäjille
	timer.scheduleFunction(stne_tanker_boom_remove, {}, timer.getTime() + 60)	-- Ajasta poisto 60 sekunnin kuluttua
end

-- Starttaa tankkeri
stne_tanker_boom:Start()

-- F10 valikkoon reset toiminto
stne_ResetTankersMenu = MENU_MISSION:New("Reset Tankers")
stne_ResetTankersMenu_cmd = MENU_MISSION_COMMAND:New("Reset Boom Tanker", stne_ResetTankersMenu, stne_tanker_boom_remove)

-- Kannattaa aina olla scriptin lopussa että näkee latautuuko se oikein, voi poistaa jos ei tarvetta
trigger.action.outText("Tanker boom LUA loaded", 10)

-- Kirjoita dcs.log scriptin loppuminen
env.info("STNE: Tanker boom stop")